<table >
	<tbody>
		<tr>
			<td>
				Sumber
			</td>
			<td>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select disabled id="pemeriksaan_t_status_pihak_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
						<option value="2">Terdakwa</option>
					</select>
				</span>&nbsp&nbsp&nbsp<label><input type="checkbox" checked name="lanjut_barbuk">Lanjut dengan pemeriksaan barang bukti</label></br></br>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select id="pemeriksaan_t_saksi_id" name="saksi_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
				<?php 
					foreach ($arr_terdakwa as $row) {
						echo '';
						echo "<option value='$row->id'>$row->nama</option>";
					}
				 ?>
				 	</select>
				</span>
			</td>
		</tr>
		<tr>
			<td>Penanya</td>
			<td>
				<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
					<select id="pemeriksaan_t_hakim_id" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white dropdown_saksi">
						<option value="hakim_ketua">Hakim Ketua</option>
						<option value="hakim_anggota_I">Hakim Anggota I</option>
						<option value="hakim_anggota_II">Hakim Anggota II</option>
						<option value="oditur">Oditur Militer</option>
						<option value="penasihat_hukum">Penasihat Hukum</option>
						<option value="terdakwa">Terdakwa</option>
				 	</select>
				</span>
			</td>
		</tr>
		<tr>
			<td>Pertanyaan</td>
			<td>
				<textarea id="pemeriksaan_t_pertanyaan"></textarea>
			</td>
		</tr>
		<tr>
			<td>Jawaban</td>
			<td>
				<textarea id="pemeriksaan_t_jawaban"></textarea>
			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<input type='button' id="tambah_table_pemeriksaan_terdakwa" value='add'>
				<input type='text' id="terdakwa_agenda_id" value='<?php echo $id; ?>'>
			</td>
		</tr>
	</tbody>
</table>
<script type="text/javascript">
   
function getkey(obj, value){
	var i=1;
	for (i=1;i<=Object.keys(obj).length;i++) {
		if(obj[i]==value){
			return i;
			break;
		};
	}
	return i;
}
$(document).ready(function(){
	var obj_urutan_sumber_id={}, obj_urutan_penanya={}, obj_urutan={};
	var urutan_sumber_id = 0, urutan_penanya=0, urutan_pertanyaan=0;
	$('#tambah_table_pemeriksaan_terdakwa').click(function(){
		if($('#pertanyaan').val()!='' && $('#jawaban').val()!=''){
			var urutan = $('#table_hasil_pemeriksaan_terdakwa tr').length;
			if (urutan==1){
				urutan_sumber_id = 1;
				obj_urutan_sumber_id[1]=$('#pemeriksaan_t_saksi_id').val();
				urutan_pertanyaan=1;
			}else{
				urutan_sumber_id = (getkey(obj_urutan_sumber_id,$('#pemeriksaan_t_saksi_id').val()));
				obj_urutan_sumber_id[urutan_sumber_id]=$('#pemeriksaan_t_saksi_id').val();
			}
			switch($('#pemeriksaan_t_hakim_id').val()) {
			    case 'hakim_ketua':
			        urutan_penanya=1;
			    break;
			    case 'hakim_anggota_I':
			        urutan_penanya=2;
			    break;
			    case 'hakim_anggota_II':
			        urutan_penanya=3;
			    break;
			    case 'oditur':
			        urutan_penanya=4;
			    break;
			    case 'penasihat_hukum':
			        urutan_penanya=5;
			    break;
			    case 'terdakwa':
			        urutan_penanya=6;
			    break;
			} 
			var val_urutan_sumber_id='<input name="urutan_sumber__t'+urutan+'" value="'+urutan_sumber_id+'">';
			var val_urutan_penanya='<input name="urutan_penanya__t'+urutan+'" value="'+urutan_penanya+'">';
			var val_urutan_pertanyaan='<input name="urutan_pertanyaan__t'+urutan+'" value="'+urutan+'">';
			var pemeriksaan_t_status_pihak_id=$('#pemeriksaan_t_status_pihak_id :selected').text();
			var val_pemeriksaan_t_status_pihak_id='<input hidden name="pihak_ke__t'+urutan+'" value="'+$('#pemeriksaan_t_status_pihak_id').val()+'">';
			var nama_saksi=$('#pemeriksaan_t_saksi_id :selected').text();
			var val_nama_saksi='<input hidden name="sumber_id__t'+urutan+'" value="'+$('#pemeriksaan_t_saksi_id').val()+'">';
			var nama_penanya=$('#pemeriksaan_t_hakim_id :selected').text();
			var val_nama_penanya='<input  hidden name="penanya_t__t'+urutan+'" value="'+$('#pemeriksaan_t_hakim_id').val()+'">';
			var pertanyaan=$('#pemeriksaan_t_pertanyaan').val();
			var val_pertanyaan='<input  hidden name="pertanyaan_t__t'+urutan+'" value="'+$('#pemeriksaan_t_pertanyaan').val()+'">';
			var jawaban=$('#pemeriksaan_t_jawaban').val();
			var val_jawaban='<input  hidden name="jawaban_t__t'+urutan+'" value="'+$('#pemeriksaan_t_jawaban').val()+'">';
			$('#table_hasil_pemeriksaan_terdakwa').append('<tr><td>'+urutan+'</td>'
										+'<td>'+pemeriksaan_t_status_pihak_id+' '+urutan_sumber_id+': '+nama_saksi+val_pemeriksaan_t_status_pihak_id+val_nama_saksi+val_urutan_sumber_id+'</td>'
										+'<td>'+nama_penanya+val_nama_penanya+val_urutan_penanya+'</td><td>'+pertanyaan+val_pertanyaan+val_urutan_pertanyaan+'</td>'
										+'<td>'+jawaban+val_jawaban+'</td>'
										+'<td></td>'
										+'<td><a ahref="" class="deleteLink">hapus</a></td>'
									+'</tr>');
			$('#pemeriksaan_t_pertanyaan').val('');
			$('#pemeriksaan_t_jawaban').val('');
		}
	});

	$("#table_hasil_pemeriksaan_terdakwa").on('click','.deleteLink',function(){
        $(this).parent().parent().remove();
    });

});
</script>